Bug 418461 - texlive of F8 - texconfig doesn't update system-wide files
texlive of F8 - texconfig doesn't update system-wide files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 12:28 EST by Michael Rozman
Modified: 2013-07-02 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 04:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Rozman 2007-12-10 12:28:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc8 Firefox/2.0.0.10

Description of problem:
texconfig, if started by root, creates updated files not in the system 
area (e.g. /usr/share/texmf or /var/lib/texmf) but in the root home directory
/root/.texlive2007/texmf.../.

Version-Release number of selected component (if applicable):
texlive-2007-0.18.fc9

How reproducible:
Always


Steps to Reproduce:
1. start texconfig as root
2. chose from the menu anything that, if changed, should be in the system config/format files (e.g. default paper size, or default printer for dvips)
3. exit texconfig
4. check new files/subdirectories in /root/.texlive2007/

Actual Results:
System wide config files/formats are not updated

Expected Results:
System wide config files/formats should be updated

Additional info:
As an unrelated subject, are there any chances to have CJK (Chinese, Japanese, and Korean typesetting) in fedora? CJK is a part of texlive (see http://authors.aps.org/names.html and http://cjk.ffii.org/).

Also, after installing texlive, the following packages with the names
containing tetex are left on the system.

tetex-prosper-1.5-3.fc6
tetex-IEEEtran-1.7.1-1.fc8
tetex-doc-3.0-44.3.fc8
tetex-elsevier-0.1.20060516-3.fc6
tetex-preview-11.84-3.fc8
tetex-dvipost-1.1-8.fc8
tetex-font-cm-lgc-0.5-8.fc6
tetex-fonts-hebrew-0.1-7.fc6
tetex-unicode-0-7.20041017.fc6

Some of them are tetex-unrelated packages (e.g. prosper has been already reported), those probably need new names. Others, like tetex-doc, better be uninstalled upon upgrading to texlive.
Comment 1 Jindrich Novy 2007-12-11 04:26:09 EST
Please use texconfig-sys to set system-wide parameters.
Comment 2 Michael Rozman 2007-12-11 09:26:00 EST
Thank you.

Note You need to log in before you can comment on or make changes to this bug.